As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 776862 - "Restore Default Set" on the chat toolbar selects "Icons" even though "Icons beside Text" is the visible result
: "Restore Default Set" on the chat toolbar selects "Icons" even though "Icons ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 17.0
Assigned To: Florian Quèze [:florian] [:flo]
: instant-messaging
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-24 03:18 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-07-27 10:32 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (1.15 KB, patch)
2012-07-24 03:38 PDT, Florian Quèze [:florian] [:flo]
mconley: review+
bwinton: approval‑comm‑aurora+
bwinton: approval‑comm‑beta+
Details | Diff | Splinter Review

Description User image Florian Quèze [:florian] [:flo] 2012-07-24 03:18:25 PDT
STR:
- Open the chat tab (click the "Chat" button of the mail toolbar).
- Right click on the chat toolbar and select "Customize"
- Click the "Restore Default Set" button.

Expected result:
"Show: Icons beside Text"

Actual result
"Show: Icons"
Comment 1 User image Florian Quèze [:florian] [:flo] 2012-07-24 03:38:38 PDT
Created attachment 645238 [details] [diff] [review]
Patch

This patch fixes the bug, but I don't know this toolbar code at all, I just copied what's done on mail-toolbox at http://mxr.mozilla.org/comm-central/source/mail/base/content/mailWindowOverlay.xul#1737 which hopefully make sense.
Comment 2 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-07-25 10:09:13 PDT
Comment on attachment 645238 [details] [diff] [review]
Patch

Review of attachment 645238 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good - thanks.
Comment 3 User image Florian Quèze [:florian] [:flo] 2012-07-25 10:20:06 PDT
[Approval Request Comment]
This is really a tiny detail, but the patch is really not risky either, so requesting approval for Tb15 anyway.
Comment 4 User image Mike Conley (:mconley) - Getting through review / needinfo backlog 2012-07-27 10:32:00 PDT
comm-central: https://hg.mozilla.org/comm-central/rev/26af51de257c
comm-aurora: https://hg.mozilla.org/releases/comm-aurora/rev/f7a52a7a0008
comm-beta: https://hg.mozilla.org/releases/comm-beta/rev/9e928d9d2ba5

Note You need to log in before you can comment on or make changes to this bug.